CANVAS_GET_MARGINS(3)

EXPERIMENTAL_FUNC
canvas_get_margins - Get margin space for a canvas.

SYNOPSIS
#include <karma_canvas.h>

void canvas_get_margins

(KWorldCanvas canvas, int *left_margin, int *right_margin, int *bottom_margin, int *top_margin)

DESCRIPTION
Get margin space for a canvas.

canvas
    The world canvas.

left_margin
    The number of pixels required for the left margin is written here.

right_margin
    The number of pixels required for the right margin is written here.

bottom_margin
    The number of pixels required for the bottom margin is written here.

top_margin
    The number of pixels required for the top margin is written here.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/